import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_authelia_running_and_enabled(host):
    authelia = host.service("authelia")
    assert authelia.is_running
    assert authelia.is_enabled


def test_authelia_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:61000").is_listening
